Bug 151600 - Huge disk activity when mail is written locally
Summary: Huge disk activity when mail is written locally
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: enterprise
Platform: unspecified Linux
: NOR normal with 30 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-31 11:55 UTC by Clive Richards
Modified: 2010-01-12 00:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clive Richards 2007-10-31 11:55:52 UTC
Version:           1.2.3 (using KDE 3.5.5 "release 45.6" , openSUSE 10.2)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.18.8-0.7-default

KMail uses a large amount of CPU and is accessing the disk for a large period of time whenever activity occurs on a folder (immediately after new mail is downloaded, or mail is removed or copied from any folder to another folder).

Inordinate activity stops if contents not modified for several minutes. Read only activity does not cause the issues.

KMail mail is using local disk.

KlamAV is being used as a virus scanner although this issue did not occur when the AV scanner was initially installed (using the wizard).
Comment 1 Thomas McGuire 2007-11-01 19:58:45 UTC
I suspect it could be the code which calculates the size of a folder to display it in the folder list.
Comment 2 Maciej Pilichowski 2007-11-01 20:41:25 UTC
Clive, how big the mail is and how big the folders are? This is unusual (I cannot confirm this, and I am using pretty slow reiserfs) -- maybe you set spam filter in a way that it checks all folders?
Comment 3 Thomas McGuire 2007-11-01 20:50:37 UTC
> [..] This is unusual (I cannot confirm this, and I am using pretty slow
> reiserfs) [..] 

The code for folder size calculation is only in the enterprise branch; there, 
it is possible to show an additional "size" column in the folder list.
Comment 4 Maciej Pilichowski 2007-11-01 21:12:53 UTC
Thomas, thanks (I didn't use this column), still -- cannot confirm it (CPU 2GHz running at ~800MHz, HDD 5400rpm). Size is being recalculated, but nothing more than moving files in MC.
Comment 5 Maciej Pilichowski 2007-11-03 15:27:42 UTC
Just a thought -- could it be beagle/any other indexing program problem?
Comment 6 Clive Richards 2007-11-06 13:52:24 UTC
Hi: Using RiserFS. Suse 10.2. I set the folder view to show toral emails ... I have 2,271 e-mails in 38 folders - always less than 50 in inbox at any one time though..sometime 2 or 3...The thing is I have had close to these large numbers of e-mail in KMail for 3-4 months, I guess slowly growing since I imported from Thunderbird on Windows XP, but only 10 e-mails / two weeks or so.

Not sure what the spam system is doing - I though it only checked incoming e-mail..KMail does pick up a bit of speed after a compress folders is run, but its a bit anoying having to run this every time I received or move an e-mail.

I'll try shutting down the Beagle ...
Comment 7 Clive Richards 2007-11-08 14:19:25 UTC
Killed off the Beagle - same issues.. 

Top is showing Kontact with large amount of CPU activity mainly in waiting for I/O (disk light on constantly, no CPU for even moving the mouse) while e-mail is downloading from the ISP and 10 minutes after until compact folders run after system settles down. If compact folders not run poor performance remains on any activity on the email system.

After compact folder all is sweet with the world in all other apps (yes even ones that access the disk) until more e-mail arrives.

Clive
Comment 8 Clive Richards 2007-11-13 13:26:07 UTC
Any updates??
Comment 9 Daniel Hahler 2007-12-20 00:19:35 UTC
Is everyone experiencing this bug using the enterprise branch and ReiserFS?

Then it's likely the same as https://launchpad.net/bugs/135147
Comment 10 Clive Richards 2007-12-21 07:10:09 UTC
Bug 135147 seams to describe the problem well. My mount options already have the acl, user_xattr options

/dev/hda2 on / type reiserfs (rw,acl,user_xattr)
Comment 11 tropikhajma 2008-01-02 22:09:52 UTC
I am using enterprise branch of kmail 1.9.6 and reiserfs and I also suffer from this problem. It started about a month or so ago.

Kmail is unusable for about 15 minutes after startup, my mail folders are full of mail. 
Also my straces are the same as posted at the ubuntu bugreport.
Using Mandriva Cooker.
Comment 12 Daniel Hahler 2009-09-13 22:36:32 UTC
Works for me now in KDE 4.3 (and some time before).
Comment 13 Björn Ruberg 2010-01-12 00:41:08 UTC
Please report if this is not fixed for you in KDE 4.3